global.electron = require('electron');

// 控制应用生命周期的模块。
const { app } = electron;
// const Worker = require('webworker-threads').Worker;
// 创建原生浏览器窗口的模块。
const { BrowserWindow } = electron;
// console.log(electron, __dirname, fs);
const { ipcMain } = electron;
const { shell, dialog } = electron;
const init = require('./js/node/init/init');
// 保持一个对于 window 对象的全局引用，如果你不这样做，
// 当 JavaScript 对象被垃圾回收， window 会被自动地关闭
let zipdata;
let files = {};
let _admZip = require('./js/node/zip/zipParse.js').admZip2;
let indexWindow;
// Electron 会在初始化后并准备
// 创建浏览器窗口时，调用这个函数。
// 部分 API 在 ready 事件触发后才能使用。
app.on('ready', () => {
    ////清理临时路径....
    global.dirname = __dirname;
    global.tempDir = app.getPath('temp');
    // global.tempDir = global.dirname;
    let tof = shell.moveItemToTrash(`${global.tempDir}/tmp/zip`);

    init.init();
});

// 当全部窗口关闭时退出。
app.on('window-all-closed', () => {
    // 在 macOS 上，除非用户用 Cmd + Q 确定地退出，
    // 否则绝大部分应用及其菜单栏会保持激活。
     if (process.platform !== 'darwin') {
       //app.quit();	  
     }
});
app.on('close',()=>{
	app.quit();
})

ipcMain.on('zipDateReceive', function(e, arg) {

});
ipcMain.on('getZipDate', function(e, arg) {

});
ipcMain.on('zipParse', function(e, arg) {

});